import { HttpClient } from '@angular/common/http';
import { BaseApiTemplateService } from '../../shared/base-api-template-service.model';
import { CashbookTxnLineContainerModel } from '../../../../../../models/aggregates/erp/index';
import { ApiResponseModel, ApiVisa } from '../../shared';
import { Observable } from 'rxjs';
export declare class CashbookTxnLineService extends BaseApiTemplateService<CashbookTxnLineContainerModel> {
    readonly url: string;
    constructor(http: HttpClient);
    updateManulAdjActionCreateLink(dtoObject: any, visa: ApiVisa): Observable<ApiResponseModel<any>>;
    updateManulAdjActionDeleteLink(dtoObject: any, visa: ApiVisa): Observable<ApiResponseModel<any>>;
    getOpeningBalance(payload: any, visa: ApiVisa): Observable<ApiResponseModel<any>>;
    getTotalBalance(payload: any, visa: ApiVisa): Observable<ApiResponseModel<any>>;
}
